!= name.f90 29Jan2005 -- Namelist example
! ... Keywords: namelist
 IMPLICIT DOUBLE PRECISION (a-h, o-z)
 WRITE (*, "(' *** Namelist ***', T66, '(Jan-2005, MC)'/)")
 CALL readat (a, b, c, d)
 WRITE (*, 99500) a, b, c, d
99500 FORMAT (' a, b, c, d:', 1P, 4G12.4, ' (End)')
 STOP
 END

 SUBROUTINE readat (a, b, c, d)
! ... ..................................................................
 IMPLICIT DOUBLE PRECISION (a-h, o-z)
 NAMELIST /problem/ a, b, c, d
 READ (*, problem)
 WRITE (*, problem)
 WRITE (*, 96310) a, b, c, d
96310 FORMAT (' Values a, b, c, d:', 1P, 4G12.3)
 WRITE (*, "(1X, 20('--'), '+', 11('--'), 'End of input---')")
 RETURN
 END SUBROUTINE !END!
